python2-matplotlib-qt4-2.0.2-lp150.3.3.1.x86_64.rpm


Advertisement

Description

python2-matplotlib-qt4 - Qt4 backends for python2-matplotlib

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package filename python2-matplotlib-qt4-2.0.2-lp150.3.3.1.x86_64.rpm
Package name python2-matplotlib-qt4
Package version 2.0.2
Package release lp150.3.3.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/Python
Homepage http://matplotlib.org
License SUSE-Matplotlib
Maintainer -
Download size 27.75 KB
Installed size 11.72 KB
This package includes the Qt4-based pyqt4 and pyside backends
for the python2-matplotlib plotting package

Alternatives

Package Version Architecture Repository
python2-matplotlib-qt4-2.0.2-lp150.2.10.x86_64.rpm 2.0.2 x86_64 openSUSE Oss
python2-matplotlib-qt4 - - -

Requires

Name Value
python(abi) = 2.7
python2-matplotlib = 2.0.2
python2-matplotlib-qt-shared = 2.0.2
python2-qt4 >= 4.0

Provides

Name Value
python-matplotlib-qt4 = 2.0.2-lp150.3.3.1
python2-matplotlib-qt4 = 2.0.2-lp150.3.3.1
python2-matplotlib-qt4(x86-64) = 2.0.2-lp150.3.3.1

Obsoletes

Name Value
python-matplotlib-qt4 < 2.0.2-lp150.3.3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-matplotlib-qt4-2.0.2-lp150.3.3.1.x86_64.rpm
Source Package python-matplotlib-2.0.2-lp150.3.3.1.src.rpm

Install Howto

Install python2-matplotlib-qt4 rpm package:

# zypper install python2-matplotlib-qt4

Files

Path
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_qt4.py
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_qt4.pyc
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_qt4.pyo
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_qt4agg.py
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_qt4agg.pyc
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_qt4agg.pyo

Changelog

2018-10-27 - matwey.kornilov@gmail.com
- Add 0001-Fix-cairo-s-image-inversion-and-alpha-misapplication.patch
Fix cairo's image inversion and alpha misapplication. (boo#1113619)
2017-10-09 - stefan.bruens@rwth-aachen.de
- Fix/enhance build with tests:
- set PYTHONPATH, otherwise tests will not find the python
modules installed to the buildroot
- Add BuildRequires for several tex styles/resources
- Add BuildRequires: xorg-x11-Xvfb, needed for Qt backend tests
- Remove python-Pillow, tests are only using png, not e.g jpeg
- increase image compare tolerance, our Freetype 2.7 renders
slightly different to the baseline FT 2.6
- Add upstream 0001-Allow-divmod-to-be-overridden-by-num.patch,
to cope with numpy 1.13 changes
- Add upstream 166a14473272_Fix-contour-colour-level-determination.patch
- Add upstream 97e170d2fc2c_Pass-integers-to-np_linspace.patch
2017-10-09 - stefan.bruens@rwth-aachen.de
- Also remove runtime-only python-tk dependecy from BuildRequires:
2017-10-07 - stefan.bruens@rwth-aachen.de
- Rebase the matplotlib setup.cfg on upstream version
- Guard several BuildRequires: which are not necessary for building
with the "tests" conditional, most backends are pure python
- Do not install/package baseline images only necessary for tests,
shrinks the main package by 60 MByte
2017-08-10 - toddrme2178@gmail.com
- Update to version 2.0.2
Critical bug fixes for 2.0.1
* fixed Qt4 support
* fixed LogFormatter
* fixed hatched artists in legends
* fixed segfault with large images
- Update to version 2.0.1
Bug fix release for 2.0.x series
This release includes bug fixes, documentation updates and one major change.
+ API
* Do not clip the linewidth used for dash pattern scaling.  This is
an API change, but is a major improvement.
* Deprecate 'vega' color names in favor of 'tab'.
+ Bug Fixes
* Hatching color follows edge color again.
* Fixes a critical bug with masked images.
* Improved high-dpi support for Qt5.
* Log ticking no never skip minor ticks
* Do not skip points surrounded by nan/inf in vector outputs.
- Disable backends on releases that don't support them.
2017-07-13 - stefan.bruens@rwth-aachen.de
- Add 0001-Fix-include-path-for-system-libqhull.patch
Avoid falling back to outdated bundled version
2017-04-30 - toddrme2178@gmail.com
- Restore qt4 backend since qt4 still has maintained,
python3-comptible python bindings.
- Provide/obsolete gtk backend to avoid conflicts.
It doesn't have maintained, python3-compatible python bindings.
2017-03-27 - toddrme2178@gmail.com
- Implement single-spec version
- Drop old qt4 and gtk2 backends
- Drop unmaintained qt designer widget
2017-03-10 - toddrme2178@gmail.com
- Fix file list
2017-01-20 - toddrme2178@gmail.com
- Add python-functools32 dependency.

See Also

Package Description
python2-matplotlib-qt5-2.0.2-lp150.3.3.1.x86_64.rpm Qt5 backend for python2-matplotlib
python2-matplotlib-tk-2.0.2-lp150.3.3.1.x86_64.rpm Tk backend for python2-matplotlib
python2-matplotlib-web-2.0.2-lp150.3.3.1.x86_64.rpm Web backend for python2-matplotlib
python2-matplotlib-wx-2.0.2-lp150.3.3.1.x86_64.rpm WxWidgets backend for python-matplotlib
python2-matrix-synapse-0.28.1-lp150.2.4.1.noarch.rpm Matrix protocol reference homeserver
python2-msrest-0.5.5-lp150.3.3.1.noarch.rpm AutoRest swagger generator Python client runtime
python2-msrestazure-0.5.0-lp150.3.3.1.noarch.rpm AutoRest swagger generator - Azure-specific module
python2-mutt-ics-0.8-lp150.2.1.noarch.rpm A tool to show calendar event details in Mutt
python2-nbxmpp-0.6.6-lp150.2.3.1.noarch.rpm XMPP library by Gajim team
python2-nbxmpp-doc-0.6.6-lp150.2.3.1.noarch.rpm Nbxmpp Documentation
python2-neovim-0.3.1-lp150.2.3.1.noarch.rpm Python client to Neovim
python2-net-snmp-5.7.3-lp150.6.3.1.x86_64.rpm The Python 'netsnmp' module for the Net-SNMP
python2-numpy-1.14.0-lp150.3.3.1.x86_64.rpm NumPy array processing for numbers, strings, records and objects
python2-numpy-devel-1.14.0-lp150.3.3.1.x86_64.rpm Development files for numpy applications
python2-numpy-gnu-hpc-1.14.0-lp150.3.3.1.x86_64.rpm Dependency package for python2-numpy_1_14_0-gnu-hpc
Advertisement
Advertisement